### Hierarchy

- IStorageProvider

### Implemented by

- CookieStorage
- LocalStorage

## Index

### Properties

- create
- get
- prefix
- remove
- save
- suffix

## Properties

### create

create: function

- Defined in Storage.ts:7

#### Type declaration

- - (key: string, value: string, expireDays?: undefined | number, ignorePrefix?: undefined | false | true): void

  - #### Parameters

    - ##### key: string

    - ##### value: string

    - ##### Optional expireDays: undefined | number

    - ##### Optional ignorePrefix: undefined | false | true

    #### Returns void

### get

get: function

- Defined in Storage.ts:9

#### Type declaration

- - (key: string, defaultValue?: any, ignorePrefix?: undefined | false | true): any

  - #### Parameters

    - ##### key: string

    - ##### Optional defaultValue: any

    - ##### Optional ignorePrefix: undefined | false | true

    #### Returns any

### prefix

prefix: string

- Defined in Storage.ts:4

### remove

remove: function

- Defined in Storage.ts:10

#### Type declaration

- - (key: string): void

  - #### Parameters

    - ##### key: string

    #### Returns void

### save

save: function

- Defined in Storage.ts:8

#### Type declaration

- - (key: string, value: string, expireDays?: undefined | number, ignorePrefix?: undefined | false | true): void

  - #### Parameters

    - ##### key: string

    - ##### value: string

    - ##### Optional expireDays: undefined | number

    - ##### Optional ignorePrefix: undefined | false | true

    #### Returns void

### suffix

suffix: string

- Defined in Storage.ts:5

Generated using TypeDoc